REM ************************************************************************
REM Batch file used to delete all batch files in temporary installation
REM directory, and to remove the directory
REM ~[970174] 03-Feb-98 Marius Groenendijk
REM ~ Enable installation from hard-drive and from floppies.
REM ~ This is relevant when installing an installation downloaded from the Internet.
REM ~ For HDD based installation location of XXXYYYZZ.III directory is different.
REM ~[980086] 20-Mar-98 Marius Groenendijk
REM ~ CDROM (or floppy) Installation can also use alternative location for
REM ~ XXXYYYZZ.III (other than X:\)
REM ~[980037] 20-Mar-98 Marius Groenendijk
REM ~ On some systems (e.g. NT) it's just not possible to create a directory in \
REM ~ Allow alternate temporary directory
REM ************************************************************************

REM ~[970174] Choose modus operandi
if %2x == HDDx goto HDD 

REM ~[980086]
REM ~[980037] If we're using %TEMP%
if EXIST CHDRIVE.BAT GOTO UseTmp

:FLOPPY
%1
del %1\XXXYYYZZ.III\*.bat > NUL
CD \
RD %1\XXXYYYZZ.III  > NUL
GOTO END

REM ~[970174] XXXYYYZZ.III is subdir of installation directory
:HDD
%1
CD ..
DEL XXXYYYZZ.III\*.bat > NUL
RD XXXYYYZZ.III  > NUL
GOTO END

REM ~[980086] XXXYYYZZ.II is potentially on another drive (depending on %TEMP%)
:UseTmp
CALL CHDRIVE %TEMP%
DEL XXXYYYZZ.III\*.bat > NUL
RD XXXYYYZZ.III  > NUL

:END
